# List All Clients Returns a list of all your clients. Endpoint: GET /clients.json Version: 2.0.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" - `page` (integer) You can ask for a specific page of results. Defaults to 1. Example: 1 - `per_page` (integer) You can specify how many results you want to fetch. Defaults to 10 or value defined in account settings (10, 20 or 30). Example: 30 ## Response 200 fields (application/json): - `clients` (array) - `clients.id` (integer) Example: 89895780 - `clients.name` (string) Example: "Client Name" - `clients.code` (string,null) Maximum length is the database default, not an enforced business rule. Example: "12345" - `clients.email` (string,null) Example: "foo@bar.com" - `clients.language` (string,null) Maximum length is the database default, not an enforced business rule. Example: "pt" - `clients.address` (string,null) No enforced character limit (text column). Example: "Avenida da República, Lisboa" - `clients.city` (string,null) Maximum length is the database default, not an enforced business rule. Example: "Lisboa" - `clients.postal_code` (string,null) Maximum length is the database default, not an enforced business rule. Example: "1050-555" - `clients.country` (string,null) Omitted entirely for clients with no country set. Maximum length is the database default, not an enforced business rule. Example: "Portugal" - `clients.fiscal_id` (string,null) Maximum length is the database default, not an enforced business rule. Example: "508025338" - `clients.website` (string,null) Example: "www.invoicexpress.com" - `clients.phone` (string,null) Example: "213456789" - `clients.fax` (string,null) Example: "213456788" - `clients.preferred_contact` (object) May be an empty object when no preferred contact is set. - `clients.preferred_contact.name` (string,null) Contact-level name has no length validation, unlike the client-level name (max 100); the limit shown is the database default. Example: "Bruce Norris" - `clients.preferred_contact.email` (string,null) Contact-level email allows one character more than the client-level email (max 254). Example: "email@invoicexpress.com" - `clients.preferred_contact.phone` (string,null) Contact-level phone has no length validation, unlike the client-level phone (max 20); the limit shown is the database default. Example: "213456789" - `clients.preferred_contact.mobile` (string,null) Digits only (4-14). Validated against /\A\d{4,14}\z/. - `clients.observations` (string,null) No enforced character limit (text column). - `clients.send_options` (integer,null) Example: 1 - `pagination` (object) - `pagination.total_entries` (integer) Example: 6 - `pagination.current_page` (integer) Example: 1 - `pagination.total_pages` (integer) Example: 1 - `pagination.per_page` (integer) Example: 10 ## Response 401 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Authentication Error"